<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" >
<head>
	<th:block th:include="include :: header('新增内容')" />
	<th:block th:include="include :: summernote-css" />
	<th:block th:include="include :: jasny-bootstrap-css" />
</head>
<body class="white-bg">
    <div class="wrapper wrapper-content animated fadeInRight ibox-content">
        <form class="form-horizontal m" id="form-notice-add">

			<div class="form-group">
				<label class="col-sm-2 control-label">类型：</label>
				<div class="col-sm-10">
					<select name="noticeType" class="form-control m-b" th:with="type=${@dict.getType('sys_notice_type')}">
						<option th:each="dict : ${type}" th:text="${dict.dictLabel}" th:value="${dict.dictValue}"></option>
					</select>
				</div>
			</div>

			<div class="form-group">	
				<label class="col-sm-2 control-label">标题：</label>
				<div class="col-sm-10">
					<input id="noticeTitle" name="noticeTitle" class="form-control" type="text" required maxlength="50">
				</div>
			</div>

			<div class="form-group">
				<label class="col-sm-2 control-label">概要：</label>
				<div class="col-sm-10">
					<input id="noticeOutline" name="noticeOutline" class="form-control" type="text" required>
				</div>
			</div>

			<div class="form-group">
				<input id="fmzFile" name="fmzFile" type="hidden"/>
				<label class="col-sm-2 control-label">封面图：</label>
				<div class="col-sm-10">
					<div class="fileinput fileinput-new" data-provides="fileinput">
						<div class="fileinput-new thumbnail" style="width: 140px; height: 140px;">
							<img th:src="@{/img/profile.jpg}">
						</div>
						<div id="fmz" class="fileinput-preview fileinput-exists thumbnail" style="max-width: 200px; max-height: 150px;">

						</div>
						<div>
							<span class="btn btn-white btn-file"><span class="fileinput-new">选择图片</span><span class="fileinput-exists">更改</span><input type="file"></span>
							<a href="#" class="btn btn-white fileinput-exists" data-dismiss="fileinput">清除</a>
						</div>
					</div>


				</div>
			</div>

			<div class="form-group">	
				<label class="col-sm-2 control-label">内容：</label>
				<div class="col-sm-10">
				    <input id="noticeContent" name="noticeContent" type="hidden">
				    <div class="summernote"></div>
				</div>
			</div>
			<div class="form-group">
				<label class="col-sm-2 control-label">状态：</label>
				<div class="col-sm-10">
				    <div class="radio-box" th:each="dict : ${@dict.getType('sys_notice_status')}">
						<input type="radio" th:id="${dict.dictCode}" name="status" th:value="${dict.dictValue}" th:checked="${dict.default}">
						<label th:for="${dict.dictCode}" th:text="${dict.dictLabel}"></label>
					</div>
				</div>
			</div>
		</form>
	</div>
    <th:block th:include="include :: footer" />
    <th:block th:include="include :: summernote-js" />
	<th:block th:include="include :: jasny-bootstrap-js" />
    <script type="text/javascript">
        var prefix = ctx + "system/notice";

	    $('.summernote').summernote({
	    	placeholder: '请输入内容',
			height : 192,
			lang : 'zh-CN',
			followingToolbar: false,
			callbacks: {
                onImageUpload: function (files) {
                    sendFile(files[0], this);
                }
            }
		});
	    
	    // 上传文件
	    function sendFile(file, obj) {
	        var data = new FormData();
	        data.append("file", file);
	        $.ajax({
	            type: "POST",
	            url: ctx + "common/upload",
	            data: data,
	            cache: false,
	            contentType: false,
	            processData: false,
	            dataType: 'json',
	            success: function(result) {
	                if (result.code == web_status.SUCCESS) {
	                	$(obj).summernote('editor.insertImage', result.url, result.fileName);
					} else {
						$.modal.alertError(result.msg);
					}
	            },
	            error: function(error) {
	                $.modal.alertWarning("图片上传失败。");
	            }
	        });
	    }
		
		$("#form-notice-add").validate({
			focusCleanup: true
		});
		
		function submitHandler() {
	        if ($.validate.form()) {
	        	var sHTML = $('.summernote').summernote('code');
				$("#noticeContent").val(sHTML);
				var file = $('#fmz').find('img').attr('src');
				if(file == undefined){
				    $.modal.alertWarning("请上传图片");
                    return;
				}
                $('#fmzFile').val(file);
				$.operate.save(prefix + "/add", $('#form-notice-add').serialize());
	        }
	    }
	</script>
</body>
</html>
